Subject: Re: [BUG] You can't have single quote in your username

From: Michal Suchánek <[email-masked]>
Date: Mon, 2 Sep 2019 21:50:48 +0200

On Mon, 02 Sep 2019 12:25:37 -0700
Junio C Hamano <[email-masked]> wrote:

> Jeff King <[email-masked]> writes:
> 
> > But it still risks losing a case where some code path relies on the crud
> > cleanup for odd cases (mismatched delimiters, or interleaved delimiters,
> > or non-delimiter crud mixed in with delimiters).
> > ...
> > So I dunno. There is no patch to be discussed, and I am not volunteering
> > to write one.  So I think whoever chooses to do so has a lot of control
> > over what is proposed. :)  
> 
> Rather, they can propose what they want, but they have a lot of
> tough defending to do on their choice.  Lack of potential harm is
> much harder to prove than coming up with a single example that
> harms.
> 
> I'd rather leave the sleeping dog lie, if we need to encourage
> people to live in 21st century and step outside US-ASCII to do so,
> then do that instead.

As much as I would love to agree Windows is dragging us down here. I
don't think there is any other major (or even just not completely
obscure) platform that does not support UTF-8 in the terminal.

Thanks

Michal